
PiBox - Bug #167
usbhandler.sh doesn't support comments properly in usbhandler.conf
17 Feb 2013 16:03 - Hammel

Status: Closed Start date: 17 Feb 2013
Priority: Urgent Due date:
Assignee: Hammel % Done: 100%
Category: 04 - Root File System Estimated time: 0.00 hour
Target version: 0.5.0 - Beta 1
Severity: 02 - High
Description

usbhandler.sh greps for USB IDs in /etc/usbhandler.conf, however if those ids show up in a comment then you'll get the wrong lines.

usbhandler should ignore all comment lines when searching for matching USB IDs in usbhandler.conf.

History
#1 - 18 Feb 2013 12:07 - Hammel
- Severity changed from 03 - Medium to 02 - High

#2 - 19 Feb 2013 21:10 - Hammel
- Status changed from New to Closed
- % Done changed from 0 to 100

Fixed usbhandler.sh to ignore all comments in the conf file even if they might contain the usb IDs being searched for.
